<!DOCTYPE HTML>
<!--
  Dopetrope by HTML5 UP
  html5up.net | @n33co
  Free for personal and commercial use under the CCA 3.0 license (html5up.net/license)
  -->
<html>
  <head>
    <title>Privacy Proxy</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <!--[if lte IE 8]><script src="assets/js/ie/html5shiv.js"></script><![endif]-->
    <link rel="stylesheet" href="assets/css/main.css" />
    <!--[if lte IE 8]>
    <link rel="stylesheet" href="assets/css/ie8.css" />
    <![endif]-->
  </head>
  <body class="homepage">
    <div id="page-wrapper">
      <!-- Header -->
      <div id="header-wrapper">
        <div id="header">
          <!-- Logo -->
          <h1><a href="index.html">Privacy Proxy</a></h1>
          <!-- Nav -->
          <nav id="nav">
            <ul>
              <li><a href="index.html">About</a></li>
              <li class="current">
                <a href="setup-install-server.html">Setup</a>
                <ul>
                  <li><a href="setup-install-server.html">Install Server</a></li>
                  <li><a href="setup-conf-devices.html">Configure Devices</a></li>
                  <li><a href="setup-rootca.html">Root CA Certificate</a></li>
                </ul>
              </li>
              <li>
                <a href="info-up.php">Run</a>
                <ul>
                  <li><a href="info-up.php">Up?</a></li>
                  <li><a href="conf-pattern.php">Conf: Search</a></li>
                  <li><a href="info-log-filter.html">Log: Search</a></li>
                  <li><a href="conf-domain.php">Conf: Block</a></li>
                  <li><a href="info-log-blocking.html">Log: Block</a></li>
                </ul>
              </li>
            </ul>
          </nav>
        </div>
      </div>
      <!-- Main -->
      <div id="main-wrapper">
        <div class="container">
          <!-- Content -->
          <article class="box post">
            <!--a href="#" class="image featured"><img src="images/pic01.jpg" alt="" /></a -->
            <header>
              <h2>Server install guide</h2>
            </header>
            <p>
              Instructions on how to install Privacy Proxy on your own Linux server.
            </p>
          </article>
          <!-- About -->
          <section>
            <header class="major">
              <h2>Required software</h2>
            </header>
            <div class="row">
              <div class="4u 12u(mobile)">
                <section class="box">
                  <a href="#" class="image featured"><img src="images/server.png" alt="" /></a>
                  <header>
                    <h3>LAMP</h3>
                  </header>
                  <p>Linux, Apache, Mysql and PHP are required</p>
                  <footer>
                  </footer>
                </section>
              </div>
              <div class="4u 12u(mobile)">
                <section class="box">
                  <a href="#" class="image featured"><img src="images/empty.png" alt="" /></a>
                  <header>
                    <h3>Mitmproxy</h3>
                  </header>
                  <p>The powerful software is the heart of Privacy Proxy.</p>
                  <footer>
                  </footer>
                </section>
              </div>
              <div class="4u 12u(mobile)">
                <section class="box">
                  <a href="#" class="image featured"><img src="images/empty.png" alt="" /></a>
                  <header>
                    <h3>Some Scripts</h3>
                  </header>
                  <p>Some self-written scripts (python, php) change Mitmproxy to Privacy Proxy</p>
                  <footer>
                  </footer>
                </section>
              </div>
            </div>
          </section>
          <!-- Install -->
          <section>
            <header class="major">
              <h2>Install guide</h2>
            </header>
            <div class="row">
              <div class="3u"></div>
              <div class="6u">
                <p>You can install Privacy Proxy by running just one script or decide to do a manual install.</p>
                <p>However, for both methods you will need a linux server and root access.</p>
                <ol>
                  <li><b>Easy Install script (recommendend & tested on Ubuntu 14.04 and later)</b></li>
                  <ul>
                    <li>Tested on Ubuntu 14.04 and later</li>
                    <li>wget <a href=https://privacyproxy.eu/setup/setup.sh>https://privacyproxy.eu/setup/setup.sh</a></li>
                    <li>sudo bash setup.sh</li>
                    <li>Installation will take a few minutes... Just wait :-)</li>
                  </ul>
                  <li><b>Manual install (for experienced users)</b></li>
                  <ul>
                    <li>Install apache2, PHP and mysql</li>
                    <li>pip install mitmproxy mysqlclient</li>
                    <li>cd /path/to/your/webroot</li>
                    <li>git clone https://gitlab.com/l.haselauer/privacyproxy.git/ .
                    <li>
                    <li>import the mysql database backup (setup/pp.sql)</li>
                    <li>Enter the datbase credentials into config.php file (use config.php.template as an example)</li>
                  </ul>
                </ol>
              </div>
            </div>
          </section>
        </div>
      </div>
      <!-- Footer -->
      <div id="footer-wrapper">
        <section id="footer" class="container">
          <div class="row">
            <div class="12u">
              <!-- Copyright -->
              <div id="copyright">
                <ul class="links">
                  <li>&copy; Lukas Haselauer 2015-2016.</li>
                  <li>&copy; Design: <a href="http://html5up.net">HTML5 UP</a> <a href="https://creativecommons.org/licenses/by/3.0/">(CC Attribution 3.0 License)</a></li>
                  <li>&copy; Images: All Images on this project are Public Domain (CC0)</a></li>
                </ul>
              </div>
            </div>
          </div>
        </section>
      </div>
    </div>
    <!-- Scripts -->
    <script src="assets/js/jquery.min.js"></script>
    <script src="assets/js/jquery.dropotron.min.js"></script>
    <script src="assets/js/skel.min.js"></script>
    <script src="assets/js/skel-viewport.min.js"></script>
    <script src="assets/js/util.js"></script>
    <!--[if lte IE 8]><script src="assets/js/ie/respond.min.js"></script><![endif]-->
    <script src="assets/js/main.js"></script>
  </body>
</html>
